tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Stop to use __NetBSD_Prereq__ in pkgsrc

    Date:        Sat, 18 Oct 2008 16:19:52 +0200
    From:        Joerg Sonnenberger <>
    Message-ID:  <>

  | OK, scratch that. So who changed the macro in such a stupid way ?!

The who (or even why) is hardly material now, but __NetBSD_Prefreq__()
has been rendered useless - it should simply be deleted.

If macros are really needed (rather than just testing __NetBSD_Version__)
then something new that's actually documented can be created (and then
used the way sysutils/monit is attempting (incorrectly - it has the same
problem that Obata Akio just fixed in xorp)

I suspect the root problem with __NetBSD_Prereq__() was that it was
never documented - I think the NetBSD 3 version of it is actually correct,
and now it is incorrect - for its original intended usage - just when
it started to be used for other purposes, and didn't work, it was "fixed".


Home | Main Index | Thread Index | Old Index